### Function

# GLib uuid_string_is_valid

since: 2.52

#### Declaration [src]

    gboolean
    g_uuid_string_is_valid (
      const gchar* str
    )

#### Description [src]

Parses the string `str` and verify if it is a UUID.

The function accepts the following syntax:

- simple forms (e.g. `f81d4fae-7dec-11d0-a765-00a0c91e6bf6`)

Note that hyphens are required within the UUID string itself, as per the aforementioned RFC.

Available since: 2.52

#### Parameters

`str`

  Type: `const gchar*`

  A string representing a UUID.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gboolean`

`TRUE` if `str` is a valid UUID, `FALSE` otherwise.